dnl $Id: config.m4,v 1.4 2005/04/26 22:07:14 mike Exp $

PHP_ARG_WITH(suresign, for SureSign support,
[  --with-suresign[=DIR]        Include SureSign support])

if test "$PHP_SURESIGN" != "no"; then
  if test -r $PHP_SURESIGN/libsuresign.a; then
    SURESIGN_DIR=$PHP_SURESIGN
  else
    AC_MSG_CHECKING(for libsuresign in default path)
    for i in ../../src; do
      if test -r $i/libsuresign.a; then
        SURESIGN_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi

  if test -z "$SURESIGN_DIR"; then
    AC_MSG_RESULT(not found)
    AC_MSG_ERROR(Please build the SureSign C library - suresign.h and
                 libsuresign.a should both be in <suresign-dir>)
  fi

  PHP_ADD_INCLUDE($SURESIGN_DIR)
  PHP_SUBST(SURESIGN_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(suresign, $SURESIGN_DIR, SURESIGN_SHARED_LIBADD)
  AC_DEFINE(HAVE_SURESIGN, 1, [Whether you have SureSign])

  PHP_NEW_EXTENSION(suresign, suresign.c, $ext_shared)
fi
