/* $Id: read_watermark.c,v 1.3 2005/04/25 11:08:06 mike Exp $ */

#include <stdio.h>
#include "sslib.h"


int main (int argc, char *argv[]) {
    char idbuf[40];
    char creatorbuf[40];
    long idconfidence, creatorconfidence, errnum;

    if (argc < 2) {
	fprintf(stderr, "Usage: %s <filename> ...\n", argv[0]);
	return 1;
    }

    errnum = suresign_read_watermark(argv[1], idbuf, &idconfidence,
				     creatorbuf, &creatorconfidence);
    if (errnum != 0) {
	fprintf(stderr,
		"%s: can't read watermark from file '%s': error %ld (%s)\n",
		argv[0], argv[1], errnum, suresign_errstr(errnum));
	return 2;
    }

    printf("Id='%s' with confidence %ld\n",
	   idbuf, idconfidence);
    printf("Creator='%s' with confidence %ld\n",
	   creatorbuf, creatorconfidence);

    return 0;
}
