/* $Id: write_watermark.c,v 1.4 2005/04/25 02:00:21 mike Exp $ */

#include <stdio.h>
#include <stdlib.h>
#include "sslib.h"


int main (int argc, char *argv[]) {
    char *id, *infile, *outfile;
    long weight, errnum;

    if (argc != 5) {
	fprintf(stderr, "Usage: %s <imageID> <weight> <infile> <outfile>\n", argv[0]);
	return 1;
    }

    id = argv[1];
    weight = strtol(argv[2], (char**) 0, 0);
    infile = argv[3];
    outfile = argv[4];
    errnum = suresign_write_watermark(id, weight, infile, outfile);
    if (errnum != 0) {
	fprintf(stderr,
		"%s: can't add watermark '%s' with weight %ld to file '%s' yielding '%s': error %ld (%s)\n",
		argv[0], id, weight, infile, outfile, errnum, suresign_errstr(errnum));
	return 2;
    }

    return 0;
}
